GET api/portalpatients/search?firstName={firstName}&lastName={lastName}&alreadySent={alreadySent}&page={page}&itemsPerPage={itemsPerPage}

Request Information

URI Parameters

NameDescriptionTypeAdditional information
firstName

Patient's first name.

string

Default value is empty string ("")

lastName

Patient's last name.

string

Default value is empty string ("")

alreadySent

If False, the list will return only new results (not yet sent to the integrating system). Use this parameter to avoid getting the same records on every call. See also the POST api/PortalPatientsSent.

boolean

None.

page

Page number requested (search results are paginated).

integer

Default value is 1

itemsPerPage

Items to return on each page. See page parameter above.

integer

Default value is 10

Body Parameters

None.

Response Information

Resource Description

ListModelOfPortalPatientModel
NameDescriptionTypeAdditional information
TotalItems

integer

None.

ItemsPerPage

integer

None.

CurrentPage

integer

None.

TotalPages

integer

None.

FirstRowOnPage

integer

None.

LastRowOnPage

integer

None.

Rows

Collection of PortalPatientModel

None.

Response Formats

application/json, text/json

Sample:
{
  "totalItems": 1,
  "itemsPerPage": 2,
  "currentPage": 3,
  "totalPages": 4,
  "firstRowOnPage": 5,
  "lastRowOnPage": 6,
  "rows": [
    {
      "id": "ea461510-ecdc-4c92-ba84-586580fbb513",
      "portalCreated": "2026-05-29T16:59:21.7384628+00:00",
      "contactPrefixExternalId": "sample string 3",
      "firstName": "sample string 4",
      "middleName": "sample string 5",
      "lastName": "sample string 6",
      "contactSuffixExternalId": "sample string 7",
      "sexExternalId": "sample string 8",
      "username": "sample string 9",
      "birthday": "2026-05-29T16:59:21.7384628+00:00",
      "address1": "sample string 10",
      "address2": "sample string 11",
      "city": "sample string 12",
      "state": "sample string 13",
      "zipCode": "sample string 14",
      "countryName": "sample string 15",
      "communicationsVoicePhone": "sample string 16",
      "communicationsTextPhone": "sample string 17",
      "communicationsEmail": "sample string 18"
    },
    {
      "id": "ea461510-ecdc-4c92-ba84-586580fbb513",
      "portalCreated": "2026-05-29T16:59:21.7384628+00:00",
      "contactPrefixExternalId": "sample string 3",
      "firstName": "sample string 4",
      "middleName": "sample string 5",
      "lastName": "sample string 6",
      "contactSuffixExternalId": "sample string 7",
      "sexExternalId": "sample string 8",
      "username": "sample string 9",
      "birthday": "2026-05-29T16:59:21.7384628+00:00",
      "address1": "sample string 10",
      "address2": "sample string 11",
      "city": "sample string 12",
      "state": "sample string 13",
      "zipCode": "sample string 14",
      "countryName": "sample string 15",
      "communicationsVoicePhone": "sample string 16",
      "communicationsTextPhone": "sample string 17",
      "communicationsEmail": "sample string 18"
    }
  ]
}

application/xml, text/xml

Sample:
<ListModelOfPortalPatientModel9sV0n63H xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models">
  <CurrentPage>3</CurrentPage>
  <FirstRowOnPage>5</FirstRowOnPage>
  <ItemsPerPage>2</ItemsPerPage>
  <LastRowOnPage>6</LastRowOnPage>
  <Rows xmlns:d2p1="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models.PortalPatients">
    <d2p1:PortalPatientModel>
      <d2p1:Address1>sample string 10</d2p1:Address1>
      <d2p1:Address2>sample string 11</d2p1:Address2>
      <d2p1:Birthday>2026-05-29T16:59:21.7384628+00:00</d2p1:Birthday>
      <d2p1:City>sample string 12</d2p1:City>
      <d2p1:CommunicationsEmail>sample string 18</d2p1:CommunicationsEmail>
      <d2p1:CommunicationsTextPhone>sample string 17</d2p1:CommunicationsTextPhone>
      <d2p1:CommunicationsVoicePhone>sample string 16</d2p1:CommunicationsVoicePhone>
      <d2p1:ContactPrefixExternalId>sample string 3</d2p1:ContactPrefixExternalId>
      <d2p1:ContactSuffixExternalId>sample string 7</d2p1:ContactSuffixExternalId>
      <d2p1:CountryName>sample string 15</d2p1:CountryName>
      <d2p1:FirstName>sample string 4</d2p1:FirstName>
      <d2p1:Id>ea461510-ecdc-4c92-ba84-586580fbb513</d2p1:Id>
      <d2p1:LastName>sample string 6</d2p1:LastName>
      <d2p1:MiddleName>sample string 5</d2p1:MiddleName>
      <d2p1:PortalCreated>2026-05-29T16:59:21.7384628+00:00</d2p1:PortalCreated>
      <d2p1:SexExternalId>sample string 8</d2p1:SexExternalId>
      <d2p1:State>sample string 13</d2p1:State>
      <d2p1:Username>sample string 9</d2p1:Username>
      <d2p1:ZipCode>sample string 14</d2p1:ZipCode>
    </d2p1:PortalPatientModel>
    <d2p1:PortalPatientModel>
      <d2p1:Address1>sample string 10</d2p1:Address1>
      <d2p1:Address2>sample string 11</d2p1:Address2>
      <d2p1:Birthday>2026-05-29T16:59:21.7384628+00:00</d2p1:Birthday>
      <d2p1:City>sample string 12</d2p1:City>
      <d2p1:CommunicationsEmail>sample string 18</d2p1:CommunicationsEmail>
      <d2p1:CommunicationsTextPhone>sample string 17</d2p1:CommunicationsTextPhone>
      <d2p1:CommunicationsVoicePhone>sample string 16</d2p1:CommunicationsVoicePhone>
      <d2p1:ContactPrefixExternalId>sample string 3</d2p1:ContactPrefixExternalId>
      <d2p1:ContactSuffixExternalId>sample string 7</d2p1:ContactSuffixExternalId>
      <d2p1:CountryName>sample string 15</d2p1:CountryName>
      <d2p1:FirstName>sample string 4</d2p1:FirstName>
      <d2p1:Id>ea461510-ecdc-4c92-ba84-586580fbb513</d2p1:Id>
      <d2p1:LastName>sample string 6</d2p1:LastName>
      <d2p1:MiddleName>sample string 5</d2p1:MiddleName>
      <d2p1:PortalCreated>2026-05-29T16:59:21.7384628+00:00</d2p1:PortalCreated>
      <d2p1:SexExternalId>sample string 8</d2p1:SexExternalId>
      <d2p1:State>sample string 13</d2p1:State>
      <d2p1:Username>sample string 9</d2p1:Username>
      <d2p1:ZipCode>sample string 14</d2p1:ZipCode>
    </d2p1:PortalPatientModel>
  </Rows>
  <TotalItems>1</TotalItems>
  <TotalPages>4</TotalPages>
</ListModelOfPortalPatientModel9sV0n63H>